import request from '@/utils/request'

// 查询报名用户分页列表
export function pageEntry_info(query) {
    return request({
        url: '/vote/entry_info/page',
        method: 'get',
        params: query
    })
}

// 查询报名用户详细
export function getEntry_info(infoId) {
    return request({
        url: '/vote/entry_info/' + infoId,
        method: 'get'
    })
}

// 新增报名用户
export function addEntry_info(data) {
    return request({
        url: '/vote/entry_info',
        method: 'post',
        data: data
    })
}

// 修改报名用户
export function updateEntry_info(data) {
    return request({
        url: '/vote/entry_info',
        method: 'put',
        data: data
    })
}

// 逻辑删除报名用户
export function logicalDelEntry_info(infoId) {
    return request({
        url: '/vote/entry_info/abandon/' + infoId,
        method: 'put'
    })
}

// 删除报名用户
export function delEntry_info(infoId) {
    return request({
        url: '/vote/entry_info/' + infoId,
        method: 'delete'
    })
}
